# Shared Data Types

Custom data types that are shared between services.

**Pagination Summary**

Used for paginating results.

| Type   | Key      | Description                                                |
| ------ | -------- | ---------------------------------------------------------- |
| uint32 | `offset` | The current offset                                         |
| uint32 | `limit`  | The number of entries to show per page.                    |
| uint32 | `total`  | The number of items matching the request across all pages. |

**Precise**

For non-negative numbers only.

| Type   | Key     | Description                                                                                                                                        |
| ------ | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| string | `value` | The full UNSIGNED number in string form. max value is 2^257 - 1,aka 231584178474632390847141970017375815706539969331281128078915168015826259279871 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/api/shared-data-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
